Page MenuHomePhabricator

Fix broken category data caused by bug 69740 in production Wikimedia wikis
Open, NormalPublic

Description

Author: romaine.wiki

Description:
Category: https://commons.wikimedia.org/wiki/Category:Wikipedia_logo_variants_by_language

This category on Commons categorizes the categories starting with a B before the categories starting with an A. So far I can see no sort keys that cause this.

A copy of what I see:

B

► Belarusian Wikipedia logo variants‎ (empty)
► Basque Wikipedia logo variants‎ (1 C, 6 F)
► Bengali Wikipedia logo variants‎ (1 C, 4 F)
► Bulgarian Wikipedia logo variants‎ (44 F)

A

► Albanian Wikipedia logo variants‎ (1 F)
► Arabic Wikipedia logo variants‎ (17 F)
► Aragonese Wikipedia logo variants‎ (11 F)
► Armenian Wikipedia logo variants‎ (2 F)
► Asturian Wikipedia logo variants‎ (12 F)
► Avar Wikipedia logo variants‎ (4 F)

Version: wmf-deployment
Severity: normal

Details

Reference
bz72661
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:59 AM
bzimport set Reference to bz72661.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 29 2014, 7:13 AM

Appears to be related to that page move doesnt change cl_type bug. Although not sure how that equals observed behaviour. Will have to look at code later when not on cell phone.

For reference: https://commons.wikimedia.org/w/api.php?action=query&list=categorymembers&cmtitle=Category:Wikipedia_logo_variants_by_language&cmprop=title|sortkey|sortkeyprefix|type

Page was moved on 2014-06-09T23:24:29‎ which is prior to e0ff770adee0 which was done in september. Category was added on 2013-12-01T13:33:20Z, prior to the page move.

Thus its from before the cl_type bug was fixed.

Fixed by adding/removing cat to reset cl_type.

(In reply to Bawolff (Brian Wolff) from comment #1)

Appears to be related to that page move doesnt change cl_type bug. Although
not sure how that equals observed behaviour. Will have to look at code later
when not on cell phone.

I re-looked over CategoryViewer.php. Things were slightly different from how I remembered them, it all makes sense now.


Other categories that may be affected

MariaDB [commonswiki_p]> select page_title, cl_to from page inner join categorylinks on cl_from = page_id where page_namespace = 14 and cl_type != 'subcat' limit 100;
+----------------------------------------------------------------------------+-----------------------------------------------------------------------+

page_titlecl_to

+----------------------------------------------------------------------------+-----------------------------------------------------------------------+

BathyScaphe_(web_browser)Web_browsers
Birthplaces_of_famous_people_in_the_Community_of_MadridHouses_of_famous_people_in_the_Community_of_Madrid
Café_le_Sébastopol_(Granges-sur-Lot)Granges-sur-Lot
Cat_tongues_(chocolate)Chocolate_confections
Cat_tongues_(chocolate)Food_shaped_into_animal_tongues
Championsleague_Qualifikation_Play_off_FC_Salzburg_gegen_Malmö_FFFC_Red_Bull_Salzburg_2014/15_matches
Coöperatieve_Stoomzuivelfabriek_Trynwâlden_(Gytsjerk)Buildings_in_Gytsjerk
Coöperatieve_Stoomzuivelfabriek_Trynwâlden_(Gytsjerk)Rijksmonumenten_in_Gytsjerk
Diego_Marani1990_births
Diego_MaraniPeople_by_name
Diego_MaraniSprinters_from_Italy
Dřevíč_Hill_FortCultural_monuments_in_Kozojedy_(Rakovník_District)
Dřevíč_Hill_FortDřevíč_(Kozojedy)
Dřevíč_Hill_FortHill_forts_in_the_Czech_Republic
East_English_VillageNeighborhoods_in_Detroit,_Michigan
Evangelische_Kirche_(Lindenstruth)Churches_in_Reiskirchen
FUDforumFree_forum_software
Featured_pictures_by_StaselnikFeatured_pictures_by_creator
Featured_pictures_by_StaselnikImages_by_Staselnik
Former_railways_lines_in_LiguriaFormer_railway_lines_in_Italy
Grabmonument_FKJ_von_ErthalWall_mounted_church_monuments_of_Stiftskirche_St._Peter_und_Alexander
Grafkelder_(Burgum)Rijksmonumenten_in_Burgum
Grafkelder_(Burgum)Tombs_in_the_Netherlands
Haus_Café_Pape_(Lörrach)Houses_in_Baden-Württemberg_built_in_1903
Heraldry_of_Medical_Brigades_of_the_United_States_ArmyMedical_Brigades_of_the_United_States_Army
Heraldry_of_Medical_Brigades_of_the_United_States_ArmyMedical_Heraldry_of_the_United_States_Army
Jazz_à_Juan_20142014_in_Alpes-Maritimes
Jazz_à_Juan_2014Jazz_à_Juan
Jazz_à_Juan_2014Music_in_2014
KebnepakteglaciärenGlaciers_of_Sweden
La_Villotte_(Yonne)Hamlets_in_Yonne
La_Villotte_(Yonne)Villiers-Saint-Benoît
Laufbrunnen_(Wolfartsweier)Cultural_heritage_monuments_in_Karlsruhe_with_known_ID
Laufbrunnen_(Wolfartsweier)Cultural_heritage_monuments_in_Wolfartsweier_(Karlsruhe)
Laufbrunnen_(Wolfartsweier)Water_wells_in_Baden-Württemberg
Laufbrunnen_(Wolfartsweier)Wettersteinstraße_(Karlsruhe)
Löschwasserförderung_über_lange_WegstreckenFirefighting_in_Germany
Marcha_a_pié_desde_Oviedo_a_Covadonga_del_Centro_Asturiano_de_Oviedo_2014Covadonga
Marcha_a_pié_desde_Oviedo_a_Covadonga_del_Centro_Asturiano_de_Oviedo_2014Walking_events_in_Spain
Misty_CopelandBallet_dancers_from_the_United_States
Nastya_StankoPeople_of_Ivano-Frankivsk_Oblast
Naturschutzgebiet_Hunau_-_Langer_Rücken_-_HeidbergNature_reserves_in_Hochsauerlandkreis
Naturschutzgebiet_Hunau_-_Langer_Rücken_-_HeidbergSchmallenberg
Noucentisme_architecture_in_Vallès_OrientalBuildings_in_Vallès_Oriental
Noucentisme_architecture_in_Vallès_OrientalNoucentisme_architecture
PaxBuildings_in_Basel
PaxCompanies_in_Basel
PaxInsurance_companies_of_Switzerland
People_with_flags_of_SingaporePeople_with_flags_by_country
People_with_flags_of_SingaporePhotographs_of_flags_of_Singapore
Puits_d'EnferChâteau-d'Olonne
Pyramiden_HeliportAirports_in_Svalbard
Pyramiden_HeliportPyramiden
Quality_images_of_HaagenHaagen
Quality_images_of_TumringenTumringen
Quinta_do_Marquês_(Torres_Novas)Classified_monuments_in_Torres_Novas
Quinta_do_Marquês_(Torres_Novas)Neo-Manueline_architecture
St._Michael_(Stockach)Cultural_heritage_monuments_in_Stockach
Suchet's_room_in_Can_Papiol_Romanticism_MuseumMuseu_Romàntic_Can_Papiol
The_Vampire_Diaries_Panel_at_the_2014_Comic-Con_International2014_Comic-Con_International
Tomb_of_Almeida_Garrett_(Teixeira_Lopes)Almeida_Garrett
Tomb_of_Almeida_Garrett_(Teixeira_Lopes)Neo-Manueline_tombs
Tomb_of_Almeida_Garrett_(Teixeira_Lopes)Sarcophagi_in_Portugal
Tomb_of_Almeida_Garrett_(Teixeira_Lopes)Teixeira_Lopes
València_Basket-Barcelona_07-06-20142013-2014_ACB_season
València_Basket-Barcelona_07-06-2014June_2014_in_the_Land_of_Valencia
València_Basket-Barcelona_07-06-2014Valencia_Basket_Club_matches
Védère_postcard_set1900s_postcards
WikiProject:_Lost_-_LogosLogos_of_WikiProjects
WikiProject:_Lost_-_LogosLost_(television_programme)
WikiProject:_Lost_-_LogosWikipedia_logo_variants
Wiki_Loves_Earth_-_Alde_Feanen_-_9_June_2014De_Alde_Feanen
ZittardDisambiguation
Église_Saint-Memmie_de_FleurignyThorigny-sur-Oreuse

+----------------------------------------------------------------------------+-----------------------------------------------------------------------+
74 rows in set (3 min 18.04 sec)

The underlying software bug has been fixed a while ago, so given the low number of affected pages this could be fixed on-wiki, for example by deleting and recreating the subcategories. That's what I did when this popped up as bug 69740.

(In reply to Bartosz Dziewoński from comment #3)

The underlying software bug has been fixed a while ago

So does that mean that this ticket should be moved to the Wikimedia product and that there is nothing left to do in the MediaWiki code?

I believe so, yes.

Change 252644 had a related patch set uploaded (by PleaseStand):
Add script to fix incorrect cl_type values

https://gerrit.wikimedia.org/r/252644

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2015, 7:08 AM